POST /api/v202206/vendor/{sourceVendorId}/template/copy

Copies any template attached to the provided sourceVendorId to each of the recipientVendorIds specified in the body. If the recipient vendor has a template defined, it will be replaced with the lines on the source vendor's template. If the recipient vendor does not have a template defined, a new template will be created with the lines on the source vendor's template.

CopyVendorTemplateV202206 Permissions: Vendors (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
sourceVendorId Identifier for the “Source” vendor, which serves as the source for the template to be copied integer (int32) Required

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

204 No Content The request succeeded. No content is returned in the response body.